﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TX1/TX3 (1 yr) VER RS-232 /5520
DATE:                  2011-06-24 10:55:50
AUTHOR:                Fluke
REVISION:              $Revision: 1.2 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       78
NUMBER OF LINES:       1178
CONFIGURATION:         Fluke 5520A
=============================================================================
#
#  Text Source:
#        $RCSfile: sub_tek_tx1_tx3_1yr_ver_rs232_5520.txt,v $
#        $Date: 2011/06/24 17:54:22 $
#
#  Procedure Author:
#        GMO, DFM, DAC
#
#  Model(s) Covered:
#        Tektronix TX1, Tektronix TX3
#
#  This procedure contains tests whose Test Uncertainty Ratios are less
#  than 4:1, based on 5520A (1 year) specifications.
#
#        CAPACITANCE TEST
#               - 4 nF; TUR 2.2500
#               - 40 nF; TUR 2.1500
#               - 400 nF; TUR 2.4432
#               - 4 µF; TUR 2.1500
#                - 40 mF; TUR 2.2778
#
#        AC CURRENT TEST
#               - 460 mA, 3 kHz; TUR 1.2766
#               - 460 mA, 5 kHz; TUR 2.5000
#
#  Compatibility:
#        MET/CAL or 5500/CAL 7.01 SP2 or later
#
#  Subprocedures:
#        Sub Tek TX1/TX3 Send Command
#        Sub Tek TX1/TX3 Query Measurement
#
#  Required Files:
#        tx1_tx3_disp.bmp
#
#  Additional Equipment Required:
#        DB9 IR Cable Kit, Fluke Part No. 1590638
#        Capacitance Calibration Cable, Fluke Part No. 1612912
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  String Variable Use:
#        S[1] = Commands to UUT
#        S[30] = Stored configuration settings
#        S[32] = Error identification (from sub)
#
#  (In subprocedure, Sub Tek TX1/TX3 Query Identification)
#        S[1]  = Manufacturer
#        S[2]  = Model
#        S[3]  = Firmware revision
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Set to Factory Default setup.
  1.001  MATH         S[1] = "!l13"
  1.002  CALL         Sub Tek TX1/TX3 Send Command
# Disable button beeps.
  1.003  MATH         S[1] = "!N1"
  1.004  CALL         Sub Tek TX1/TX3 Send Command
  1.005  JMPL         CAPACITANCE_TEST

  1.006  LABEL        ACV_TEST
  1.007  RSLT         =
  1.008  HEAD         {AC VOLTAGE TEST}
  1.009  RSLT         =
  1.010  HEAD         AC VOLTAGE TEST {500 mV Range}
  1.011  TARGET       -p
  1.012  HEAD         AC VOLTAGE TEST (500 mV Range) : 0 mV
# Set UUT to V AC, 500 mV Range.
  1.013  MATH         S[1] = "!T01,0"
  1.014  CALL         Sub Tek TX1/TX3 Send Command
  1.015  5520         0.0mV                                             S  2W
# Wait 5 seconds prior to taking measurement.
  1.016  MATH         M[60] = 5
  1.017  TARGET       -m
  1.018  MATH         S[1] = "!M?"
  1.019  CALL         Sub Tek TX1/TX3 Query Measurement
  1.020  MATH         MEM = MEM / 1E-3
  1.021  MEMCX  500   0.0mV          +0.2U

  2.001  HEAD         AC VOLTAGE TEST (500 mV Range) : 50 mV @ 60 Hz
  2.002  5520         50.0mV                       60H            SI    S  2W
# Wait 2 seconds prior to taking measurement.
  2.003  MATH         M[60] = 2
  2.004  TARGET       -m
  2.005  CALL         Sub Tek TX1/TX3 Query Measurement
  2.006  MATH         MEM = MEM / 1E-3

  2.007  IF           PSUBI("Tektronix TX3")
  2.008  TOL          0.4U
  2.009  ELSE
  2.010  TOL          0.5U
  2.011  ENDIF

  2.012  MEMCX  500   50.0mV         TOL           60H

  3.001  HEAD         AC VOLTAGE TEST (500 mV Range) : 460 mV @ 60 Hz
  3.002  5520         460.0mV                      60H            SI    S  2W
  3.003  TARGET       -m
  3.004  CALL         Sub Tek TX1/TX3 Query Measurement
  3.005  MATH         MEM = MEM / 1E-3

  3.006  IF           PSUBI("Tektronix TX3")
  3.007  TOL          2.0U
  3.008  ELSE
  3.009  TOL          3.0U
  3.010  ENDIF

  3.011  MEMCX  500   460.0mV        TOL           60H

  4.001  HEAD         AC VOLTAGE TEST (500 mV Range) : 460 mV @ 20 kHz
  4.002  5520         460.0mV                      20kH           SI    S  2W
  4.003  TARGET       -m
  4.004  CALL         Sub Tek TX1/TX3 Query Measurement
  4.005  MATH         MEM = MEM / 1E-3
  4.006  MEMCX  500   460.0mV        TOL           20kH

  5.001  RSLT         =
  5.002  HEAD         AC VOLTAGE TEST ({5 V Range}) : 4.6 V @ 40 Hz
  5.003  TARGET       -p
# Set UUT to V AC, 5 V Range.
  5.004  MATH         S[1] = "!T01,1"
  5.005  CALL         Sub Tek TX1/TX3 Send Command
  5.006  5520         4.600V                       40H            SI    S  2W
  5.007  TARGET       -m
  5.008  MATH         S[1] = "!M?"
  5.009  CALL         Sub Tek TX1/TX3 Query Measurement

  5.010  IF           PSUBI("Tektronix TX3")
  5.011  TOL          0.020U
  5.012  ELSE
  5.013  TOL          0.030U
  5.014  ENDIF

  5.015  MEMCX  5     4.600V         TOL           40H

  6.001  HEAD         AC VOLTAGE TEST (5 V Range) : 4.6 V @ 1 kHz
  6.002  5520         4.600V                       1kH            SI    S  2W
  6.003  TARGET       -m
  6.004  CALL         Sub Tek TX1/TX3 Query Measurement
  6.005  MEMCX  5     4.600V         TOL           1kH

  7.001  HEAD         AC VOLTAGE TEST (5 V Range) : 4.6 V @ 10 kHz
  7.002  5520         4.600V                       10kH           SI    S  2W
  7.003  TARGET       -m
  7.004  CALL         Sub Tek TX1/TX3 Query Measurement
  7.005  MEMCX  5     4.600V         TOL           10kH

  8.001  HEAD         AC VOLTAGE TEST (5 V Range) : 4.6 V @ 20 kHz
  8.002  5520         4.600V                       20kH           SI    S  2W
  8.003  TARGET       -m
  8.004  CALL         Sub Tek TX1/TX3 Query Measurement
  8.005  MEMCX  5     4.600V         TOL           20kH

  9.001  RSLT         =
  9.002  HEAD         AC VOLTAGE TEST ({50 V Range}) : 46 V @ 60 Hz
  9.003  TARGET       -p
# Set UUT to V AC, 50 V Range.
  9.004  MATH         S[1] = "!T01,2"
  9.005  CALL         Sub Tek TX1/TX3 Send Command
  9.006  5520         46.00V                       60H            SI    S  2W
  9.007  TARGET       -m
  9.008  MATH         S[1] = "!M?"
  9.009  CALL         Sub Tek TX1/TX3 Query Measurement

  9.010  IF           PSUBI("Tektronix TX3")
  9.011  TOL          0.20U
  9.012  ELSE
  9.013  TOL          0.30U
  9.014  ENDIF

  9.015  MEMCX  50    46.00V         TOL           60H

 10.001  HEAD         AC VOLTAGE TEST (50 V Range) : 46 V @ 20 kHz
 10.002  5520         46.00V                       20kH           SI    S  2W
 10.003  TARGET       -m
 10.004  CALL         Sub Tek TX1/TX3 Query Measurement
 10.005  MEMCX  50    46.00V         TOL           20kH

 11.001  RSLT         =
 11.002  HEAD         AC VOLTAGE TEST ({500 V Range}) : 460 V @ 60 Hz
 11.003  TARGET       -p
# Set UUT to V AC, 500 V Range.
 11.004  MATH         S[1] = "!T01,3"
 11.005  CALL         Sub Tek TX1/TX3 Send Command
 11.006  5520         460.0V                       60H            SI    S  2W
 11.007  TARGET       -m
 11.008  MATH         S[1] = "!M?"
 11.009  CALL         Sub Tek TX1/TX3 Query Measurement

 11.010  IF           PSUBI("Tektronix TX3")
 11.011  TOL          2.0U
 11.012  ELSE
 11.013  TOL          3.0U
 11.014  ENDIF

 11.015  MEMCX  500   460.0V         TOL           60H

 12.001  HEAD         AC VOLTAGE TEST (500 V Range) : 320 V @ 20 kHz
 12.002  5520         320.0V                       20kH           SI    S  2W
 12.003  TARGET       -m
 12.004  CALL         Sub Tek TX1/TX3 Query Measurement

 12.005  IF           PSUBI("Tektronix TX3")
 12.006  TOL          1.5U
 12.007  ELSE
 12.008  TOL          2.1U
 12.009  ENDIF

 12.010  MEMCX  500   320.0V         TOL           20kH

 13.001  RSLT         =
 13.002  HEAD         AC VOLTAGE TEST ({1000 V Range}) : 1000 V @ 60 Hz
 13.003  TARGET       -p
# Set UUT to V AC, 1000 V Range.
 13.004  MATH         S[1] = "!T01,4"
 13.005  CALL         Sub Tek TX1/TX3 Send Command
 13.006  5520         1000V                        60H            SI    S  2W
 13.007  TARGET       -m
 13.008  MATH         S[1] = "!M?"
 13.009  CALL         Sub Tek TX1/TX3 Query Measurement

 13.010  IF           PSUBI("Tektronix TX3")
 13.011  TOL          6U
 13.012  ELSE
 13.013  TOL          8U
 13.014  ENDIF

 13.015  MEMCX  1000  1000V          TOL           60H

 14.001  HEAD         AC VOLTAGE TEST (1000 V Range) : 1000 V @ 10 kHz
 14.002  5520         1000V                        10kH           SI    S  2W
 14.003  TARGET       -m
 14.004  CALL         Sub Tek TX1/TX3 Query Measurement
 14.005  MEMCX  1000  1000V          TOL           10kH
 15.001  5520         *                                                 S

 15.002  RSLT         =
 15.003  HEAD         {AC VOLTS FREQUENCY TEST}
 15.004  RSLT         =
 15.005  HEAD         AC VOLTS FREQUENCY ({500 mV Range}) : 40 Hz @ 100 mV
 15.006  TARGET       -p
# Set UUT to Hz.
 15.007  MATH         S[1] = "!K2"
 15.008  CALL         Sub Tek TX1/TX3 Send Command
 15.009  MATH         S[1] = "!T19,0"
 15.010  CALL         Sub Tek TX1/TX3 Send Command
 15.011  5520         40.00H                       100mV          SI    S  2W
 15.012  TARGET       -m
 15.013  MATH         S[1] = "!M?"
 15.014  CALL         Sub Tek TX1/TX3 Query Measurement
 15.015  MEMCX        40.00H         0.01U         100mV

 16.001  HEAD         AC VOLTS FREQUENCY (500 mV Range) : 20 kHz @ 100 mV
 16.002  5520         20.00kH                      100mV          SI    S  2W
 16.003  TARGET       -m
 16.004  CALL         Sub Tek TX1/TX3 Query Measurement
 16.005  MATH         MEM = MEM / 1E+3
 16.006  MEMCX        20.00kH        0.01U         100mV

 17.001  RSLT         =
 17.002  HEAD         AC VOLTS FREQUENCY TEST ({5 V Range}) : 40 Hz @ 500 mV
 17.003  TARGET       -p
 17.004  MATH         S[1] = "!T19,1"
 17.005  CALL         Sub Tek TX1/TX3 Send Command
 17.006  5520         40.00H                       500mV          SI    S  2W
 17.007  TARGET       -m
 17.008  MATH         S[1] = "!M?"
 17.009  CALL         Sub Tek TX1/TX3 Query Measurement
 17.010  MEMCX        40.00H         0.01U         500mV

 18.001  HEAD         AC VOLTS FREQUENCY TEST (5 V Range) : 20 kHz @ 500 mV
 18.002  5520         20.00kH                      500mV          SI    S  2W
 18.003  CALL         Sub Tek TX1/TX3 Query Measurement
 18.004  MATH         MEM = MEM / 1E+3
 18.005  MEMCX        20.00kH        0.01U         500mV
 19.001  5520         *                                                 S

 19.002  RSLT         =
 19.003  HEAD         {DC VOLTAGE TEST}
 19.004  RSLT         =
 19.005  HEAD         DC VOLTAGE TEST ({500 mV Range}) : 0 mV
 19.006  TARGET       -p
# Turn Hi Res display on.
 19.007  MATH         S[1] = "!l03"
 19.008  CALL         Sub Tek TX1/TX3 Send Command
# Set UUT to V DC, 500 mV Range.
 19.009  MATH         S[1] = "!T03,0"
 19.010  CALL         Sub Tek TX1/TX3 Send Command
 19.011  5520         0.00mV                                            S  2W
 19.012  TARGET       -m
 19.013  MATH         S[1] = "!M?"
 19.014  CALL         Sub Tek TX1/TX3 Query Measurement
 19.015  MATH         MEM = MEM / 1E-3
 19.016  MEMCX  500   0.00mV         0.10U

 20.001  HEAD         DC VOLTAGE TEST (500 mV Range) : +46 mV
 20.002  5520         46.000mV                                          S  2W
 20.003  TARGET       -m
 20.004  CALL         Sub Tek TX1/TX3 Query Measurement
 20.005  MATH         MEM = MEM / 1E-3

 20.006  IF           PSUBI("Tektronix TX3")
 20.007  TOL          0.12U
 20.008  ELSE
 20.009  TOL          0.13U
 20.010  ENDIF

 20.011  MEMCX  500   46.00mV        TOL

 21.001  HEAD         DC VOLTAGE TEST (500 mV Range) : +460 mV
 21.002  5520         460.00mV                                          S  2W
 21.003  TARGET       -m
 21.004  CALL         Sub Tek TX1/TX3 Query Measurement
 21.005  MATH         MEM = MEM / 1E-3

 21.006  IF           PSUBI("Tektronix TX3")
 21.007  TOL          0.33U
 21.008  ELSE
 21.009  TOL          0.42U
 21.010  ENDIF

 21.011  MEMCX  500   460.00mV       TOL

 22.001  HEAD         DC VOLTAGE TEST (500 mV Range) : -460 mV
 22.002  5520         -460.00mV                                         S  2W
 22.003  TARGET       -m
 22.004  CALL         Sub Tek TX1/TX3 Query Measurement
 22.005  MATH         MEM = MEM / 1E-3
 22.006  MEMCX  500   -460.00mV      TOL

 23.001  RSLT         =
 23.002  HEAD         DC VOLTAGE TEST ({5 V Range}) : +4.6 V
 23.003  TARGET       -p
# Set UUT to V DC, 5 V Range.
 23.004  MATH         S[1] = "!T03,1"
 23.005  CALL         Sub Tek TX1/TX3 Send Command
 23.006  5520         4.6000V                                           S  2W
 23.007  TARGET       -m
 23.008  MATH         S[1] = "!M?"
 23.009  CALL         Sub Tek TX1/TX3 Query Measurement

 23.010  IF           PSUBI("Tektronix TX3")
 23.011  TOL          0.0033U
 23.012  ELSE
 23.013  TOL          0.0042U
 23.014  ENDIF

 23.015  MEMCX  5     4.6000V        TOL

 24.001  RSLT         =
 24.002  HEAD         DC VOLTAGE TEST ({50 V Range}) : +46 V
 24.003  TARGET       -p
# Set UUT to V DC, 50 V Range.
 24.004  MATH         S[1] = "!T03,2"
 24.005  CALL         Sub Tek TX1/TX3 Send Command
 24.006  5520         46.000V                                           S  2W
 24.007  TARGET       -m
 24.008  MATH         S[1] = "!M?"
 24.009  CALL         Sub Tek TX1/TX3 Query Measurement

 24.010  IF           PSUBI("Tektronix TX3")
 24.011  TOL          0.033U
 24.012  ELSE
 24.013  TOL          0.042U
 24.014  ENDIF

 24.015  MEMCX  50    46.000V        TOL

 25.001  RSLT         =
 25.002  HEAD         DC VOLTAGE TEST ({500 V Range}) : +460 V
 25.003  TARGET       -p
# Set UUT to V DC, 500 V Range.
 25.004  MATH         S[1] = "!T03,3"
 25.005  CALL         Sub Tek TX1/TX3 Send Command
 25.006  5520         460.00V                                           S  2W
 25.007  TARGET       -m
 25.008  MATH         S[1] = "!M?"
 25.009  CALL         Sub Tek TX1/TX3 Query Measurement

 25.010  IF           PSUBI("Tektronix TX3")
 25.011  TOL          0.33U
 25.012  ELSE
 25.013  TOL          0.42U
 25.014  ENDIF

 25.015  MEMCX  500   460.00V        TOL

 26.001  RSLT         =
 26.002  HEAD         DC VOLTAGE TEST ({1000 V Range}) : +1000 V
 26.003  TARGET       -p
# Set UUT to V DC, 1000 V Range.
 26.004  MATH         S[1] = "!T03,4"
 26.005  CALL         Sub Tek TX1/TX3 Send Command
 26.006  5520         1000.0V                                           S  2W
 26.007  TARGET       -m
 26.008  MATH         S[1] = "!M?"
 26.009  CALL         Sub Tek TX1/TX3 Query Measurement

 26.010  IF           PSUBI("Tektronix TX3")
 26.011  TOL          1.5U
 26.012  ELSE
 26.013  TOL          1.7U
 26.014  ENDIF

 26.015  MEMCX  1000  1000.0V        TOL

 27.001  HEAD         DC VOLTAGE TEST (1000 V Range) : -1000 V
 27.002  5520         -1000.0V                                          S  2W
 27.003  TARGET       -m
 27.004  CALL         Sub Tek TX1/TX3 Query Measurement
 27.005  MEMCX  1000  -1000.0V       TOL
 28.001  5520         *                                                 S

# Clear power on (Hi Res) settings.
 28.002  MATH         S[1] = "!l00"
 28.003  CALL         Sub Tek TX1/TX3 Send Command
# Disable button beeps.
 28.004  MATH         S[1] = "!N1"
 28.005  CALL         Sub Tek TX1/TX3 Send Command

 28.006  ASK-                              U
 28.007  RSLT         =
 28.008  HEAD         {VOLTS PEAK HOLD TEST} : 6.4 Vpp @ 500 Hz
 28.009  TARGET
 28.010  5520         6.4Vpp                       500H           SQ    S  2W
# Set UUT to V DC, 5 V Range.
 28.011  MATH         S[1] = "!T03,1"
 28.012  CALL         Sub Tek TX1/TX3 Send Command
# Press UUT (blue) shift button.
 28.013  MATH         S[1] = "!B03"
 28.014  CALL         Sub Tek TX1/TX3 Send Command
# Press UUT M/M/A (1 ms) button to enter FAST mode, Max reading.
 28.015  MATH         S[1] = "!B01"
 28.016  CALL         Sub Tek TX1/TX3 Send Command
 28.017  MATH         S[1] = "!M?"
 28.018  CALL         Sub Tek TX1/TX3 Query Measurement
 28.019  MEMCX  5     3.200V         0.033U        Max

# Press UUT M/M/A (1 ms) button to to toggle to Min reading.
 29.001  MATH         S[1] = "!B01"
 29.002  CALL         Sub Tek TX1/TX3 Send Command
 29.003  MATH         S[1] = "!M?"
 29.004  CALL         Sub Tek TX1/TX3 Query Measurement
 29.005  MEMCX  5     -3.200V        0.033U        Min
 30.001  5520         *                                                 S
 30.002  ASK+                              U

# Clear all previously invoked !H states.
 30.003  MATH         S[1] = "!H00"
 30.004  CALL         Sub Tek TX1/TX3 Send Command
# Disable button beeps.
 30.005  MATH         S[1] = "!N1"
 30.006  CALL         Sub Tek TX1/TX3 Send Command

 30.007  RSLT         =
 30.008  HEAD         {AC DC VOLTS TEST}
 30.009  RSLT         =
 30.010  HEAD         AC DC VOLTS TEST ({500 mV Range}) : +32 mV
 30.011  TARGET       -p
 30.012  MATH         S[1] = "!T05,0"
 30.013  CALL         Sub Tek TX1/TX3 Send Command
 30.014  5520         32.0mV                                            S  2W
 30.015  TARGET       -m
 30.016  MATH         S[1] = "!M?"
 30.017  CALL         Sub Tek TX1/TX3 Query Measurement
 30.018  MATH         MEM = MEM / 1E-3
 30.019  MEMCX  500   32.0mV         0.2U          DC

 31.001  HEAD         AC DC VOLTS TEST (500 mV Range) : 460 mV @ 40 Hz
 31.002  5520         460.0mV                      40H            SI    S  2W
 31.003  TARGET       -m
# Read AC value from upper display.
 31.004  MATH         S[1] = "!U?"
 31.005  CALL         Sub Tek TX1/TX3 Query Measurement
 31.006  MATH         MEM = MEM / 1E-3

 31.007  IF           PSUBI("Tektronix TX3")
 31.008  TOL          2.6U
 31.009  ELSE
 31.010  TOL          3.5U
 31.011  ENDIF

 31.012  MEMCX  500   460.0mV        TOL           40H
 32.001  5520         *                                                 S

 32.002  RSLT         =
 32.003  HEAD         {AC+DC VOLTS and FREQUENCY TEST}
 32.004  RSLT         =
 32.005  HEAD         AC+DC VOLTS and FREQUENCY ({5 V Range}) : -1 V
 32.006  TARGET       -p
# Set UUT to V AC+DC, 5 V Range.
 32.007  MATH         S[1] = "!T04,1"
 32.008  CALL         Sub Tek TX1/TX3 Send Command
 32.009  5520         -1.000V                                           S  2W
 32.010  TARGET       -m
 32.011  MATH         S[1] = "!M?"
 32.012  CALL         Sub Tek TX1/TX3 Query Measurement
# In AC+DC mode, UUT does not return polarity of applied DC.
 32.013  MEMCX  5     1.000V         0.010U

 33.001  HEAD         AC+DC VOLTS and FREQUENCY (5 V Range) : +1 V
 33.002  5520         1.000V                                            S  2W
 33.003  TARGET       -m
 33.004  CALL         Sub Tek TX1/TX3 Query Measurement
 33.005  MEMCX  5     1.000V         0.010U

 34.001  HEAD         AC+DC VOLTS and FREQUENCY (5 V Range) : 1 V @ 60 Hz
 34.002  5520         1.000V                       60H            SI    S  2W
 34.003  TARGET       -m
 34.004  CALL         Sub Tek TX1/TX3 Query Measurement
 34.005  MEMCX  5     1.000V         0.010U        60H

 35.001  HEAD         AC+DC VOLTS and FREQUENCY (5 V Range) : 1 V @ 20 kHz
 35.002  5520         20.00kH                      1.000V         SI    S  2W
 35.003  TARGET       -m
# Read upper display value.
 35.004  MATH         S[1] = "!U?"
 35.005  CALL         Sub Tek TX1/TX3 Query Measurement
 35.006  MATH         MEM = MEM / 1E+3
 35.007  MEMCX        20.00kH        0.01U         500mV
 36.001  5520         *                                                 S

 36.002  RSLT         =
 36.003  HEAD         {FREQUENCY TEST} : 990 kHz @ 2.828 Vpp
 36.004  TARGET
# Set virtual knob position to Hz.
 36.005  MATH         S[1] = "!K2"
 36.006  CALL         Sub Tek TX1/TX3 Send Command
# Invoke Power On button function (HiRes).
 36.007  MATH         S[1] = "!l03"
 36.008  CALL         Sub Tek TX1/TX3 Send Command
 36.009  5520         990.00kH                     5.656Vpp       SI    S  2W
 36.010  MATH         S[1] = "!M?"
 36.011  CALL         Sub Tek TX1/TX3 Query Measurement
 36.012  MATH         MEM = MEM / 1E+3
 36.013  MEMCX        990.00kH       0.03U         2.828Vpp
 37.001  5520         *                                                 S

# Clear all Power On button settings.
 37.002  MATH         S[1] = "!l00"
 37.003  CALL         Sub Tek TX1/TX3 Send Command
# Disable button beeps.
 37.004  MATH         S[1] = "!N1"
 37.005  CALL         Sub Tek TX1/TX3 Send Command

 37.006  RSLT         =
 37.007  HEAD         {DUTY FACTOR TEST} : 10% @ 100 Hz
# Retrieve 5520A duty cycle accuracy at 10 ms (100 Hz), 10 %.
 37.008  MATH         L[1] = ACCV2("Fluke 5520A", "Duty", 10E-3, 10)
 37.009  TARGET       -p
# Query current UUT configuration.
 37.010  MATH         S[1] = "!j?"
 37.011  CALL         Sub Tek TX1/TX3 Send Command
# Parse out current configuration data. and store in register S[30].
 37.012  MATH         S[30] = FLD(MEM2, 2, ";")
# Set UUT configuration: backlight auto-off interval, 30 seconds; auto
# power off interval to 60 minutes; duty factor on, positive, positive edge
# trigger.
 37.013  MATH         S[1] = "!j030,060,00111"
 37.014  CALL         Sub Tek TX1/TX3 Send Command
# Set virtual knob position to Hz.
 37.015  MATH         S[1] = "!K2"
 37.016  CALL         Sub Tek TX1/TX3 Send Command
 37.017  M5520        5Vpp
 37.018  5520         10.00pct                     100H           SQ    S  2W
 37.019  ACC          10.00pct       L1U
 37.020  TARGET       -m
# Take reading from upper display.
 37.021  MATH         S[1] = "!U?"
 37.022  CALL         Sub Tek TX1/TX3 Query Measurement
 37.023  MEMCX        10.00pct       0.10U

 38.001  M5520        *
 38.002  5520         *                                                 S

# Restore initial configuration data back to instrument.
 38.003  MATH         S[1] = "!j" & S[30]
 38.004  CALL         Sub Tek TX1/TX3 Send Command
# Disable button beeps.
 38.005  MATH         S[1] = "!N1"
 38.006  CALL         Sub Tek TX1/TX3 Send Command

 38.007  RSLT         =
 38.008  HEAD         {OHMS TEST}
 38.009  RSLT         =
 38.010  HEAD         OHMS TEST ({50 Ohm Range})
 38.011  TARGET       -p
 38.012  DISP         Make the following connections:
 38.012  DISP
 38.012  DISP         [32]         5520A          to     UUT
 38.012  DISP         [32]  NORMAL V/Ohm/RTD HI ——————> V ¬°C     Test
 38.012  DISP         [32]  AUX A, Ohm-SENSE HI ——————> V ¬°C     leads
 38.012  DISP         [32]  AUX A, Ohm-SENSE LO ——————> COM       meet at
 38.012  DISP         [32]  NORMAL V/Ohm/RTD LO ——————> COM       UUT!
 38.012  DISP         [32](Connect SENSE leads to UUT first!)

 38.013  DISP         The next routine operator intervention
 38.013  DISP         occurs in approximately 2 minutes...

 38.014  HEAD         OHMS TEST (50 Ohm Range): 40 Ohms
# Set UUT to the 500 Ohm Range.
 38.015  MATH         S[1] = "!T07,1"
 38.016  CALL         Sub Tek TX1/TX3 Send Command
 38.017  5520         0.00Z                                             S  CW
# Press Softkey, F4 to enter 50 Ohm range.
 38.018  MATH         S[1] = "!B10"
 38.019  CALL         Sub Tek TX1/TX3 Send Command
 38.020  5520         40.00Z                                            S  CW
 38.021  TARGET       -m
 38.022  MATH         S[1] = "!M?"
 38.023  CALL         Sub Tek TX1/TX3 Query Measurement
 38.024  MEMCX  50    40.00Z         0.14U

 39.001  RSLT         =
 39.002  HEAD         OHMS TEST ({500 Ohm Range}): 0 Ohms
 39.003  TARGET       -p
# Set UUT to the 500 Ohm Range.
 39.004  MATH         S[1] = "!T07,1"
 39.005  CALL         Sub Tek TX1/TX3 Send Command
 39.006  5520         0.00Z                                             S  CW
# Wait 1 second for UUT reading to initially stabilize.
 39.007  WAIT         [D1000]
# Press 'Delta' button.
 39.008  MATH         S[1] = "!B06"
 39.009  CALL         Sub Tek TX1/TX3 Send Command
# Wait 1 second for UUT reading to stabilize following 'Delta' button push.
 39.010  WAIT         [D1000]
 39.011  TARGET       -m
 39.012  MATH         S[1] = "!M?"
 39.013  CALL         Sub Tek TX1/TX3 Query Measurement
 39.014  MEMCX  500   0.0Z           +0.4U

 40.001  HEAD         OHMS TEST (500 Ohm Range): 400 Ohms
 40.002  5520         400.0Z                                            S  CW
 40.003  TARGET       -m
 40.004  MATH         S[1] = "!M?"
 40.005  CALL         Sub Tek TX1/TX3 Query Measurement
 40.006  MEMCX  500   400.0Z         0.8U

# Press 'Delta' button again to turn function off.
 41.001  MATH         S[1] = "!B06"
 41.002  CALL         Sub Tek TX1/TX3 Send Command

 41.003  RSLT         =
 41.004  HEAD         OHMS TEST ({5 kOhm Range}): 4 kOhms
 41.005  TARGET       -p
# Set UUT to the 5 kOhm Range.
 41.006  MATH         S[1] = "!T07,2"
 41.007  CALL         Sub Tek TX1/TX3 Send Command
 41.008  5520         4.000kZ                                           S  CW
 41.009  TARGET       -m
 41.010  MATH         S[1] = "!M?"
 41.011  CALL         Sub Tek TX1/TX3 Query Measurement
 41.012  MATH         MEM = MEM / 1E+3
 41.013  MEMCX  5     4.000kZ        0.006U

 42.001  RSLT         =
 42.002  HEAD         OHMS TEST ({50 kOhm Range}): 40 kOhms
 42.003  TARGET       -p
# Set UUT to the 50 kOhm Range.
 42.004  MATH         S[1] = "!T07,3"
 42.005  CALL         Sub Tek TX1/TX3 Send Command
 42.006  5520         40.00kZ                                           S  CW
 42.007  TARGET       -m
 42.008  MATH         S[1] = "!M?"
 42.009  CALL         Sub Tek TX1/TX3 Query Measurement
 42.010  MATH         MEM = MEM / 1E+3
 42.011  MEMCX  50    40.00kZ        0.06U

 43.001  RSLT         =
 43.002  HEAD         OHMS TEST ({500 kOhm Range}): 400 kOhms
 43.003  TARGET       -p
# Set UUT to the 500 kOhm Range.
 43.004  MATH         S[1] = "!T07,4"
 43.005  CALL         Sub Tek TX1/TX3 Send Command
 43.006  5520         400.0kZ                                           S  2W
 43.007  TARGET       -m
 43.008  MATH         S[1] = "!M?"
 43.009  CALL         Sub Tek TX1/TX3 Query Measurement
 43.010  MATH         MEM = MEM / 1E+3
 43.011  MEMCX  500   400.0kZ        0.6U

 44.001  RSLT         =
 44.002  HEAD         OHMS TEST ({5 MOhm Range}): 4 MOhms
 44.003  TARGET       -p
# Set UUT to the 5 MOhm Range.
 44.004  MATH         S[1] = "!T07,5"
 44.005  CALL         Sub Tek TX1/TX3 Send Command
 44.006  5520         4.000MZ                                           S  2W
 44.007  TARGET       -m
 44.008  MATH         S[1] = "!M?"
 44.009  CALL         Sub Tek TX1/TX3 Query Measurement
 44.010  MATH         MEM = MEM / 1E+6
 44.011  MEMCX  5     4.000MZ        0.020U

 45.001  RSLT         =
 45.002  HEAD         OHMS TEST ({50 MOhm Range}): 40 MOhms
 45.003  TARGET       -p
# Set UUT to the 50 MOhm Range.
 45.004  MATH         S[1] = "!T07,6"
 45.005  CALL         Sub Tek TX1/TX3 Send Command
 45.006  5520         40.00MZ                                           S  2W
 45.007  TARGET       -m
 45.008  MATH         S[1] = "!M?"
 45.009  CALL         Sub Tek TX1/TX3 Query Measurement
 45.010  MATH         MEM = MEM / 1E+6
 45.011  MEMCX  50    40.00MZ        0.44U
 46.001  5520         *                                                 S

 46.002  RSLT         =
 46.003  HEAD         {CONTINUITY TEST}
 46.004  TARGET
# Press softkey F2.
 46.005  MATH         S[1] = "!B08"
 46.006  CALL         Sub Tek TX1/TX3 Send Command
 46.007  5520         50Z                                               S  2W
# Query beeper on/off status.
 46.008  MATH         S[1] = "!c?"
 46.009  CALL         Sub Tek TX1/TX3 Query Measurement
 46.010  EVAL   -e MEM : Beeper sounds @ 50 Ohms

 47.001  5520         150Z                                              S  2W
 47.002  MATH         S[1] = "!c?"
 47.003  CALL         Sub Tek TX1/TX3 Query Measurement
 47.004  EVAL   -e MEM : Beeper does not sound @ 150 Ohms [N]

 48.001  5520         0Z                                                S  2W
 48.002  MATH         S[1] = "!c?"
 48.003  CALL         Sub Tek TX1/TX3 Query Measurement
 48.004  EVAL   -e MEM : Beeper sounds with input shorted
 49.001  5520         *                                                 S

 49.002  RSLT         =
 49.003  HEAD         {DIODE TEST}
 49.004  TARGET       -p
# Press softkey F3.
 49.005  MATH         S[1] = "!B09"
 49.006  CALL         Sub Tek TX1/TX3 Send Command
 49.007  5520         0.500V                                            S  2W
 49.008  TARGET       -m
 49.009  MATH         S[1] = "!M?"
 49.010  CALL         Sub Tek TX1/TX3 Query Measurement
 49.011  MEMCX        0.500V         0.005U
 50.001  5520         *                                                 S
 50.002  JMPL         CURRENT_TEST

 50.003  LABEL        CAPACITANCE_TEST
 50.004  RSLT         =
 50.005  HEAD         {CAPACITANCE TEST}
 50.006  RSLT         =
 50.007  HEAD         CAPACITANCE TEST ({5 nF Range}) : 4 nF
 50.008  TARGET       -p
 50.009  DISP         In preparation for the following CAPACITANCE TEST,
 50.009  DISP         the residual capacitance (including that of the
 50.009  DISP         test leads), must first be accounted for.
 50.009  DISP
 50.009  DISP         Connect the test leads to the UUT V and COM jacks,
 50.009  DISP         leaving the opposite ends of the leads OPEN.

# Set UUT to capacitance, 5 nF Range.
 50.010  MATH         S[1] = "!T10,0"
 50.011  CALL         Sub Tek TX1/TX3 Send Command
# Wait for UUT to settle prior to invoking relative mode.
 50.012  WAIT         -t 2 System settling...
# Press 'Delta' button.
 50.013  MATH         S[1] = "!B06"
 50.014  CALL         Sub Tek TX1/TX3 Send Command
 50.015  DISP         Make the following connections:
 50.015  DISP
 50.015  DISP         [32]         5520A          to     UUT
 50.015  DISP         [32]  NORMAL V/Ohm/RTD HI ——————> V ¬°C
 50.015  DISP         [32]  NORMAL V/Ohm/RTD LO ——————> COM

 50.016  DISP         The next routine operator intervention
 50.016  DISP         occurs in approximately 9 minutes...

 50.017  5520         4.000nF                                           S  2W
 50.018  TARGET       -m
 50.019  MATH         S[1] = "!M?"
 50.020  CALL         Sub Tek TX1/TX3 Query Measurement
 50.021  MATH         MEM = MEM / 1E-9
 50.022  MEMCX  5     4.000nF        1% 0.005U
#! WARNING: Test Tol 4.5e-011, Sys Tol 2e-011, TUR 2.2500 (<  4.00).

 51.001  RSLT         =
 51.002  HEAD         CAPACITANCE TEST ({50 nF Range}) : 40 nF
 51.003  TARGET       -p
# Set UUT to the 50 nF Range.
 51.004  MATH         S[1] = "!B02"
 51.005  CALL         Sub Tek TX1/TX3 Send Command
 51.006  5520         40.00nF                                           S  2W
 51.007  TARGET       -m
 51.008  MATH         S[1] = "!M?"
 51.009  CALL         Sub Tek TX1/TX3 Query Measurement
 51.010  MATH         MEM = MEM / 1E-9
 51.011  MEMCX  50    40.00nF        1% 0.03U
#! WARNING: Test Tol 4.3e-010, Sys Tol 2e-010, TUR 2.1500 (<  4.00).

 52.001  RSLT         =
 52.002  HEAD         CAPACITANCE TEST ({500 nF Range}) : 400 nF
# Press 'Delta' button, turning relative mode off.
 52.003  MATH         S[1] = "!B06"
 52.004  CALL         Sub Tek TX1/TX3 Send Command
 52.005  TARGET       -p
# Set UUT to the 500 nF Range.
 52.006  MATH         S[1] = "!T10,2"
 52.007  CALL         Sub Tek TX1/TX3 Send Command
 52.008  5520         400.0nF                                           S  2W
 52.009  TARGET       -m
 52.010  MATH         S[1] = "!M?"
 52.011  CALL         Sub Tek TX1/TX3 Query Measurement
 52.012  MATH         MEM = MEM / 1E-9
 52.013  MEMCX  500   400.0nF        1% 0.3U
#! WARNING: Test Tol 4.3e-009, Sys Tol 1.76e-009, TUR 2.4432 (<  4.00).

 53.001  RSLT         =
 53.002  HEAD         CAPACITANCE TEST ({5 µF Range}) : 4 µF
 53.003  TARGET       -p
# Set UUT to the 5 µF Range.
 53.004  MATH         S[1] = "!T10,3"
 53.005  CALL         Sub Tek TX1/TX3 Send Command
 53.006  5520         4.000uF                                           S  2W
 53.007  TARGET       -m
 53.008  MATH         S[1] = "!M?"
 53.009  CALL         Sub Tek TX1/TX3 Query Measurement
 53.010  MATH         MEM = MEM / 1E-6
 53.011  MEMCX  5     4.000uF        1% 0.003U
#! WARNING: Test Tol 4.3e-008, Sys Tol 2e-008, TUR 2.1500 (<  4.00).

 54.001  RSLT         =
 54.002  HEAD         CAPACITANCE TEST ({50 µF Range}) : 40 µF
 54.003  TARGET       -p
# Set UUT to the 50 µF Range.
 54.004  MATH         S[1] = "!T10,4"
 54.005  CALL         Sub Tek TX1/TX3 Send Command
 54.006  5520         40.00uF                                           S  2W
 54.007  TARGET       -m
 54.008  MATH         S[1] = "!M?"
 54.009  CALL         Sub Tek TX1/TX3 Query Measurement
 54.010  MATH         MEM = MEM / 1E-6
 54.011  MEMCX  50    40.00uF        3% 0.03U

 55.001  RSLT         =
 55.002  HEAD         CAPACITANCE TEST ({500 µF Range}) : 400 µF
 55.003  TARGET       -p
# Set UUT to the 500 µF Range.
 55.004  MATH         S[1] = "!T10,5"
 55.005  CALL         Sub Tek TX1/TX3 Send Command
 55.006  5520         400.0uF                                           S  2W
 55.007  TARGET       -m
 55.008  MATH         S[1] = "!M?"
 55.009  CALL         Sub Tek TX1/TX3 Query Measurement
 55.010  MATH         MEM = MEM / 1E-6
 55.011  MEMCX  500   400.0uF        3% 0.3U

 56.001  RSLT         =
 56.002  HEAD         CAPACITANCE TEST ({5 mF Range}) : 4 mF
 56.003  TARGET       -p
# Set UUT to the 5 mF Range.
 56.004  MATH         S[1] = "!T10,6"
 56.005  CALL         Sub Tek TX1/TX3 Send Command
 56.006  5520         4.000mF                                           S  2W
 56.007  WAIT         -t 20 UUT acquiring reading...
 56.008  TARGET       -m
 56.009  MATH         S[1] = "!M?"
 56.010  CALL         Sub Tek TX1/TX3 Query Measurement
 56.011  MATH         MEM = MEM / 1E-3
 56.012  MEMCX  5     4.000mF        3% 0.003U

 57.001  RSLT         =
 57.002  HEAD         CAPACITANCE TEST ({50 mF Range}) : 40 mF
 57.003  TARGET       -p
# Set UUT to the 50 mF Range.
 57.004  MATH         S[1] = "!T10,7"
 57.005  CALL         Sub Tek TX1/TX3 Send Command
 57.006  5520         40.00mF                                           S  2W
 57.007  WAIT         -t 2:00 UUT acquiring reading...
 57.008  TARGET       -m
 57.009  MATH         S[1] = "!M?"
 57.010  CALL         Sub Tek TX1/TX3 Query Measurement
 57.011  MATH         MEM = MEM / 1E-3
 57.012  MEMCX  50    40.00mF        3% 0.03U
#! WARNING: Test Tol 0.00123, Sys Tol 0.00054, TUR 2.2778 (<  4.00).
 58.001  5520         *                                                 S
 58.002  JMPL         ACV_TEST

 58.003  LABEL        CURRENT_TEST
 58.004  ASK-                              U
 58.005  RSLT         =
 58.006  HEAD         {DC CURRENT TEST}
 58.007  DISP         Make the following connections:
 58.007  DISP
 58.007  DISP         [32]         5520A          to    UUT
 58.007  DISP         [32]  AUX A, Ohm-SENSE HI ——————> "A"
 58.007  DISP         [32]  AUX A, Ohm-SENSE LO ——————> COM

 58.008  RSLT         =
 58.009  HEAD         DC CURRENT TEST ({500 µA Range}) : 0 µA
 58.010  TARGET       -p
# Set UUT to A DC, 500 µA Range.
 58.011  MATH         S[1] = "!T12,0"
 58.012  CALL         Sub Tek TX1/TX3 Send Command
 58.013  5520         0.0uA                                             S  2W
 58.014  TARGET       -m
 58.015  MATH         S[1] = "!M?"
 58.016  CALL         Sub Tek TX1/TX3 Query Measurement
 58.017  MATH         MEM = MEM / 1E-6
 58.018  MEMCX  500   0.0uA          0.2% 0.4U

 59.001  ASK+                              U
 59.002  HEAD         DC CURRENT TEST (500 µA Range) : +460 µA
 59.003  5520         460.0uA                                           S  2W
# Resend A DC, 500 µA function/range command.
 59.004  MATH         S[1] = "!T12,0"
 59.005  CALL         Sub Tek TX1/TX3 Send Command
 59.006  TARGET       -m
 59.007  MATH         S[1] = "!M?"
 59.008  CALL         Sub Tek TX1/TX3 Query Measurement
 59.009  MATH         MEM = MEM / 1E-6
 59.010  MEMCX  500   460.0uA        0.2% 0.4U

 60.001  HEAD         DC CURRENT TEST (500 µA Range) : -460 µA
 60.002  5520         -460.0uA                                          S  2W
 60.003  TARGET       -m
 60.004  CALL         Sub Tek TX1/TX3 Query Measurement
 60.005  MATH         MEM = MEM / 1E-6
 60.006  MEMCX  500   -460.0uA       0.2% 0.4U

 61.001  RSLT         =
 61.002  HEAD         DC CURRENT TEST ({5 mA Range}) : +4.6 mA
 61.003  TARGET       -p
# Set UUT to A DC, 5 mA Range.
 61.004  MATH         S[1] = "!T12,1"
 61.005  CALL         Sub Tek TX1/TX3 Send Command
 61.006  5520         4.600mA                                           S  2W
 61.007  TARGET       -m
 61.008  MATH         S[1] = "!M?"
 61.009  CALL         Sub Tek TX1/TX3 Query Measurement
 61.010  MATH         MEM = MEM / 1E-3
 61.011  MEMCX  5     4.600mA        0.2% 0.002U

 62.001  RSLT         =
 62.002  HEAD         DC CURRENT TEST ({50 mA Range}) : +46 mA
 62.003  TARGET       -p
# Set UUT to A DC, 50 mA Range.
 62.004  MATH         S[1] = "!T12,2"
 62.005  CALL         Sub Tek TX1/TX3 Send Command
 62.006  5520         46.00mA                                           S  2W
 62.007  TARGET       -m
 62.008  MATH         S[1] = "!M?"
 62.009  CALL         Sub Tek TX1/TX3 Query Measurement
 62.010  MATH         MEM = MEM / 1E-3
 62.011  MEMCX  50    46.00mA        0.2% 0.02U

 63.001  RSLT         =
 63.002  HEAD         DC CURRENT TEST ({500 mA Range}) : +460 mA
 63.003  TARGET       -p
# Set UUT to A DC, 500 mA Range.
 63.004  MATH         S[1] = "!T12,3"
 63.005  CALL         Sub Tek TX1/TX3 Send Command
 63.006  5520         460.0mA                                           S  2W
 63.007  MATH         M[60] = 3
 63.008  TARGET       -m
 63.009  MATH         S[1] = "!M?"
 63.010  CALL         Sub Tek TX1/TX3 Query Measurement
 63.011  MATH         MEM = MEM / 1E-3
 63.012  MEMCX  500   460.0mA        0.2% 0.2U
 64.001  5520         *                                                 S
 64.002  JMPL         AC_LO_I

 64.003  LABEL        DCI_5A
 64.004  RSLT         =
 64.005  HEAD         DC CURRENT TEST ({5 A Range}) : + 4.6 A
 64.006  TARGET       -p
 64.007  DISP         Make the following connections:
 64.007  DISP
 64.007  DISP         [32]        5520A          to     UUT
 64.007  DISP         [32]  AUX A, 20A Output ————————> "A"
 64.007  DISP         [32]  AUX A, Ohm-SENSE LO ——————> COM

# Set UUT to A DC, 5 A Range.
 64.008  MATH         S[1] = "!T12,4"
 64.009  CALL         Sub Tek TX1/TX3 Send Command
 64.010  5520         4.600A                                         HC S  2W
 64.011  TARGET       -m
 64.012  MATH         S[1] = "!M?"
 64.013  CALL         Sub Tek TX1/TX3 Query Measurement
 64.014  MEMCX  5     4.600A         0.4% 2e-3U

 65.001  RSLT         =
 65.002  HEAD         DC CURRENT TEST ({10 A Range}) : + 10 A
 65.003  TARGET       -p
# Set UUT to A DC, 10 A Range.
 65.004  MATH         S[1] = "!T12,5"
 65.005  CALL         Sub Tek TX1/TX3 Send Command
 65.006  5520         10.00A                                         HC S  2W
 65.007  TARGET       -m
 65.008  MATH         S[1] = "!M?"
 65.009  CALL         Sub Tek TX1/TX3 Query Measurement
 65.010  MEMCX  10    10.00A         0.8% 2e-2U
 66.001  5520         *                                                 S
 66.002  JMPL         ACI_5A

 66.003  LABEL        AC_LO_I
 66.004  RSLT         =
 66.005  HEAD         {AC CURRENT TEST}
 66.006  RSLT         =
 66.007  HEAD         AC CURRENT TEST ({500 µA Range}) : 0 µA
 66.008  ASK-                              U
 66.009  TARGET       -p
# Set UUT to A AC, 500 µA Range.
 66.010  MATH         S[1] = "!T11,0"
 66.011  CALL         Sub Tek TX1/TX3 Send Command
 66.012  TARGET       -m
 66.013  MATH         M[60] = 2
 66.014  MATH         S[1] = "!M?"
 66.015  CALL         Sub Tek TX1/TX3 Query Measurement
 66.016  MATH         MEM = MEM / 1E-6
 66.017  MEMCX  500   0.0uA          0.2U
 67.001  ASK+                              U

 67.002  HEAD         AC CURRENT TEST (500 µA Range) : 460 µA @ 60 Hz
 67.003  5520         460.0uA                      60H            SI    S  2W
 67.004  TARGET       -m
 67.005  MATH         S[1] = "!M?"
 67.006  CALL         Sub Tek TX1/TX3 Query Measurement
 67.007  MATH         MEM = MEM / 1E-6
 67.008  MEMCX  500   460.0uA        0.6% 0.2U     60H

 68.001  HEAD         AC CURRENT TEST (500 µA Range) : 460 µA @ 5 kHz
 68.002  5520         460.0uA                      5kH            SI    S  2W
 68.003  TARGET       -m
 68.004  CALL         Sub Tek TX1/TX3 Query Measurement
 68.005  MATH         MEM = MEM / 1E-6
 68.006  MEMCX  500   460.0uA        2% 0.2U       5kH

 69.001  RSLT         =
 69.002  HEAD         AC CURRENT TEST ({5 mA Range}) : 4.6 mA @ 60 Hz
 69.003  TARGET       -p
# Set UUT to A AC, 5 mA Range.
 69.004  MATH         S[1] = "!T11,1"
 69.005  CALL         Sub Tek TX1/TX3 Send Command
 69.006  5520         4.600mA                      60H            SI    S  2W
 69.007  TARGET       -m
 69.008  MATH         S[1] = "!M?"
 69.009  CALL         Sub Tek TX1/TX3 Query Measurement
 69.010  MATH         MEM = MEM / 1E-3
 69.011  MEMCX  5     4.600mA        0.6% 0.002U   60H

 70.001  HEAD         AC CURRENT TEST (5 mA Range) : 4.6 mA @ 5 kHz
 70.002  5520         4.600mA                      5kH            SI    S  2W
 70.003  TARGET       -m
 70.004  CALL         Sub Tek TX1/TX3 Query Measurement
 70.005  MATH         MEM = MEM / 1E-3
 70.006  MEMCX  5     4.600mA        2% 0.002U     5kH

 71.001  RSLT         =
 71.002  HEAD         AC CURRENT TEST ({50 mA Range}) : 46 mA @ 60 Hz
 71.003  TARGET       -p
# Set UUT to A AC, 50 mA Range.
 71.004  MATH         S[1] = "!T11,2"
 71.005  CALL         Sub Tek TX1/TX3 Send Command
 71.006  5520         46.00mA                      60H            SI    S  2W
 71.007  TARGET       -m
 71.008  MATH         S[1] = "!M?"
 71.009  CALL         Sub Tek TX1/TX3 Query Measurement
 71.010  MATH         MEM = MEM / 1E-3
 71.011  MEMCX  50    46.00mA        0.6% 0.02U    60H

 72.001  HEAD         AC CURRENT TEST (50 mA Range) : 46 mA @ 5 kHz
 72.002  5520         46.00mA                      5kH            SI    S  2W
 72.003  TARGET       -m
 72.004  CALL         Sub Tek TX1/TX3 Query Measurement
 72.005  MATH         MEM = MEM / 1E-3
 72.006  MEMCX  50    46.00mA        2% 0.02U      5kH

 73.001  RSLT         =
 73.002  HEAD         AC CURRENT TEST ({500 mA Range}) : 460 mA @ 60 Hz
 73.003  TARGET       -p
# Set UUT to A AC, 500 mA Range.
 73.004  MATH         S[1] = "!T11,3"
 73.005  CALL         Sub Tek TX1/TX3 Send Command
 73.006  5520         460.0mA                      60H            SI    S  2W
 73.007  TARGET       -m
 73.008  MATH         S[1] = "!M?"
 73.009  CALL         Sub Tek TX1/TX3 Query Measurement
 73.010  MATH         MEM = MEM / 1E-3
 73.011  MEMCX  500   460.0mA        0.6% 0.2U     60H

 74.001  HEAD         AC CURRENT TEST (500 mA Range) : 460 mA @ 3 kHz
 74.002  5520         460.0mA                      3kH            SI    S  2W
 74.003  TARGET       -m
 74.004  CALL         Sub Tek TX1/TX3 Query Measurement
 74.005  MATH         MEM = MEM / 1E-3
 74.006  MEMCX  500   460.0mA        1% 0.2U       3kH
# WARNING: Test Tol 0.0048, Sys Tol 0.00376, TUR 1.2766 (<  3.94).

 75.001  HEAD         AC CURRENT TEST (500 mA Range) : 460 mA @ 5 kHz
 75.002  5520         460.0mA                      5kH            SI    S  2W
 75.003  TARGET       -m
 75.004  CALL         Sub Tek TX1/TX3 Query Measurement
 75.005  MATH         MEM = MEM / 1E-3
 75.006  MEMCX  500   460.0mA        2% 0.2U       5kH
# WARNING: Test Tol 0.0094, Sys Tol 0.00376, TUR 2.5000 (<  3.94).
 76.001  5520         *                                                 S
 76.002  JMPL         DCI_5A

 76.003  LABEL        ACI_5A
 76.004  RSLT         =
 76.005  HEAD         AC CURRENT TEST ({5 A Range}) : 4.6 A @ 60 Hz
 76.006  TARGET       -p
# Set UUT to A AC, 5 A Range.
 76.007  MATH         S[1] = "!T11,4"
 76.008  CALL         Sub Tek TX1/TX3 Send Command
 76.009  5520         4.600A                       60H            SI HC S  2W
 76.010  TARGET       -m
 76.011  MATH         S[1] = "!M?"
 76.012  CALL         Sub Tek TX1/TX3 Query Measurement
 76.013  MEMCX  5     4.600A         0.6% 2e-3U    60H

# The following test is not performed due to low (< 1.00) TUR!
#80.001  HEAD         AC CURRENT TEST (5 A Range) : 4.6 A @ 5 kHz
#80.002  5520         4.600A                       5kH            SI HC S  2W
#80.003  TARGET       -m
#80.004  CALL         Sub Tek TX1/TX3 Query Measurement
#80.005  MEMCX  5     4.600A         2% 2e-3U      5kH
#! WARNING: Test Tol 0.094, Sys Tol 0.14, TUR 0.6714 (<  4.00).
 77.001  RSLT         =  4.600 A @ 5 kHz: Not Tested

 77.002  RSLT         =
 77.003  HEAD         AC CURRENT TEST ({10 A Range}) : 10 A @ 60 Hz
 77.004  TARGET       -p
# Set UUT to A AC, 10 A Range.
 77.005  MATH         S[1] = "!T11,5"
 77.006  CALL         Sub Tek TX1/TX3 Send Command
 77.007  5520         10.00A                       60H            SI HC S  2W
 77.008  TARGET       -m
 77.009  MATH         S[1] = "!M?"
 77.010  CALL         Sub Tek TX1/TX3 Query Measurement
 77.011  MEMCX  10    10.00A         0.6% 2e-2U    60H

# The following test is not performed due to low (< 1.00) TUR!
#82.001  HEAD         AC CURRENT TEST (20 A Range) : 10 A @ 5 kHz
#82.002  5520         10.00A                       5kH            SI HC S  2W
#82.003  TARGET       -m
#82.004  CALL         Sub Tek TX1/TX3 Query Measurement
#82.005  MEMCX  10    10.00A         2% 2e-2U      5kH
#! WARNING: Test Tol 0.22, Sys Tol 0.302, TUR 0.7285 (<  4.00).
 78.001  RSLT         =  10.00 A @ 5 kHz: Not Tested
 78.002  5520         *                                                 S

 78.003  HEAD
 78.004  LABEL        END
 78.005  DISP         V E R I F I C A T I O N  C O M P L E T E D!
 78.006  END
