﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TX1: (1 year) CAL VER RS-232 /5520
DATE:                  2011-06-24 10:55:34
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       202
=============================================================================
#
#  Text Source:
#        $RCSfile: tek_tx1_1yr_ver_rs232_5520.txt,v $
#        $Date: 2011/06/24 15:07:25 $
#
#  Procedure Author:
#        GMO, DFM
#@
#@ Model(s) Covered:
#@       TX1
#@
#@ This procedure contains tests whose Test Uncertainty Ratios are less
#@ than 4:1, based on 5520A (1 year) specifications.
#@
#@       CAPACITANCE TEST
#@              - 4 nF; TUR 2.2500
#@              - 40 nF; TUR 2.1500
#@              - 400 nF; TUR 2.4432
#@              - 4 µF; TUR 2.1500
#@              - 40 mF; TUR 2.2778
#@
#@       AC CURRENT TEST
#@              - 460 mA, 3 kHz; TUR 1.2766
#@              - 460 mA, 5 kHz; TUR 2.5000
#@
#@ Source:
#@       Tektronix TX1/TX3 Service Manual, Part No. 070-9893-01 (No date or
#@       revision stated)
#@
#@ Compatibility:
#@       MET/CAL or 5500/CAL 7.01 SP2 or later
#@
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub Select Failed Test Mode
#        Sub Tek TX1/TX3 (1 yr) VER RS-232 /5520
#        Sub Tek TX1/TX3 Query Identification
#        Sub Tek TX1/TX3 Send Command
#        Sub Tek TX1/TX3 Query Measurement
#
#  Required Files:
#        tx1_tx3_disp.bmp
#
#@ Additional Equipment Required:
#@       DB9 IR Cable Kit, Fluke Part No. 1590638
#@       Capacitance Calibration Cable, Fluke Part No. 1612912
#@
#  This procedure was tested using:
#        Model No.    : TX3
#        Serial No.   : B025423
#        Options      : None
#        Firmware Rev.: 1.00
#
#  The average run time during testing was 15 minutes.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  String Variable Use:
#        S[1] = Commands to UUT
#        S[30] = Stored configuration settings
#        S[32] = Error identification (from sub)
#
#  (In subprocedure, Sub Tek TX1/TX3 Query Identification)
#        S[1]  = Manufacturer
#        S[2]  = Model
#        S[3]  = Firmware revision
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        W
  1.002  ASK+           K

  1.003  IF           VERS() < 7.01
  1.004  DISP         This procedure requires MET/CAL 7.01 SP2 or later.
  1.005  END
  1.006  ENDIF

  1.007  CALL         Sub Display Copyright
  1.008  CALL         Sub High Voltage Safety Warning
  1.009  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)
  1.010  CALL         Sub Select Failed Test Mode

  1.011  HEAD         EQUIPMENT REQUIREMENTS
  1.012  OPBR         -z Do you want to REVIEW the list of additional
  1.012  OPBR         equipment and/or accessories required?

  1.013  IF           MEM1
  1.014  DISP         The following additional equipment is required:
  1.014  DISP
  1.014  DISP         - Capacitance calibration cable, Fluke Part No. 1612912
  1.015  ENDIF

  1.016  HEAD         PRELIMINARY CONDITIONS
  1.017  DISP         Ensure that the UUT has been allowed to stabilize
  1.017  DISP         in an environment with an ambient temperature of
  1.017  DISP         18° to 28 °C and a relative humidity of < 80%.

  1.018  HEAD         GENERAL INSTRUCTIONS
  1.019  MATH         S[11] = INI("startup", "port")
  1.020  MATH         MEM1 = ZCMPI(S[11], "COM5500")
  1.021  MATH         MEM1 = MEM1 || ZCMPI(S[11], "COM5800")
  1.022  MATH         MEM1 = MEM1 || ZCMPI(S[11], "COM5820")

  1.023  IF           MEM1
  1.024  DISP         Unsupported UUT communication port specified: [S11]
  1.024  DISP
  1.024  DISP         Select "Terminate" and perform the following:
  1.024  DISP         - From the menu bar, select
  1.024  DISP         [32] "Configure"=>"Default Serial Port"
  1.024  DISP         - Select "COM1", "COM2", "COM3", "COM4", or "COM5520".
  1.025  ENDIF

  1.026  IF           ZCMPI(MEM2, "COM5520")
  1.027  DISP         Connect the UUT IR PORT to the port labeled "SERIAL
  1.027  DISP         2 TO UUT" on the rear panel of 5520A using a DB9 IR
  1.027  DISP         Cable Kit (Fluke Part No. 1590638) and Fluke Adapter
  1.027  DISP         Kit, Fluke Part No. 689486.
  1.028  DISP
  1.028  DISP         The adapter kit includes a DB9 female to DB9 female
  1.028  DISP         null modem and a DB9 male to DB9 male gender changer.
  1.029  ELSE
  1.030  DISP         Connect the UUT IR PORT to [S11] using the DB9 IR
  1.030  DISP         Cable Kit, Fluke Part No. 1590638.
  1.031  ENDIF

  1.032  JMPL         DISPLAY_TEST

  1.033  LABEL        I/O_SETUP
  1.034  MATH         S[9] = "TX1"

  1.035  HEAD         SYSTEM RS232 SETUP
# Setup RS232 communication.
  1.036  PORT         [P9600,E,7,1,N]
# Get UUT ID.
  1.037  CALL         Sub Tek TX1/TX3 Query Identification
  1.038  CALL         Sub Tek TX1/TX3 (1 yr) VER RS-232 /5520
  1.039  JMPL         END

  1.040  LABEL        DISPLAY_TEST
  1.041  RSLT         =
  1.042  HEAD         {DISPLAY TEST}
  1.043  TARGET
  1.044  DISP         PRESS and HOLD the softkey "2" while rotating the
  1.044  DISP         UUT function switch from OFF to V.
  1.044  DISP
  1.044  DISP         NOTE: Softkey "2" may be released after UUT "beeps".
  1.045  PICE         tx1_tx3_disp.bmp

  2.001  RSLT         =
  2.002  HEAD         KEYPAD TEST
  2.003  TARGET
  2.004  MESS         To test the keypad buttons, each button is pressed
  2.004  MESS         separately.
  2.004  MESS
  2.005  EVAL   -s "KEYPAD TEST" : Does each key BEEP when pressed?
  3.001  MESS

  3.002  RSLT         =
  3.003  HEAD         BACKLIGHT TEST
  3.004  TARGET
  3.005  MESS         To test the backlight, press the backlight button
  3.005  MESS         twice. (Assuming the backlight was illuminated
  3.005  MESS         following the Keypad Test, it will extinguish and
  3.005  MESS         illuminate by pushing the backlight button twice.)
  3.005  MESS
  3.006  EVAL   -s "BACKLIGHT TEST" : Did the backlight illuminate?
  4.001  MESS

  4.002  HEAD
  4.003  DISP         Rotate the UUT function switch to OFF then to back
  4.003  DISP         to V, ensuring a 1 minute warm-up has been allowed
  4.003  DISP         to elapse.
# Wait 1 second for UUT to power up after cycling power switch.
  4.004  WAIT         [D1000]
  4.005  JMPL         I/O_SETUP

  4.006  LABEL        END
  4.007  HEAD         V E R I F I C A T I O N  C O M P L E T E D!
  4.008  END
